Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

APT Malware Activity Detected Exploiting a Patched ColdFusion Vulnerability (CVE-2018-15961)

Researchers at Volexity have identified multiple groups exploiting CVE-2018-15961 in unpatched, web-facing Adobe ColdFusion servers. Users are urged to upgrade to the latest version of ColdFusion.

Background

On November 8, Volexity reported Advanced Persistent Threat (APT) and hacktivist groups have been targeting web-facing instances of Adobe ColdFusion that haven’t patched for CVE-2018-15961. Adobe released APSB18-33 to address the vulnerability on September 11, 2018.

Impact assessment

The researchers at Volexity identified two separate and unrelated attacks on a number of web-facing ColdFusion servers: a hacktivist group seeking to deface websites; and an APT attempting to hijack ColdFusion servers.

Pro-ISIS hacktivist AnoaGhost of “Typical Idiot Security” has been seen leaving defacing HTML index files on numerous sites that Volexity has identified as “educational institutions, state government, health research, humanitarian aid organizations, and more.”

In addition, a separate APT campaign was identified using the JavaServer Pages (JSP) version of China Chopper, a malicious web shell, to exploit CVE-2018-15961. Exploitation of this vulnerability can lead to remote code execution on the ColdFusion server. An attacker can take full control of a target once China Chopper has been uploaded as shown in the example below:

An attacker can take full control of a target once China Chopper has been uploaded as shown in this example.

Source: FireEye.

Incident details

The exact impact the APT group has had on any servers that they’ve potentially attacked is unknown, but the possibility of organizational attack is likely.

As far as the hacktivists are concerned, Volexity reports “Several of the affected websites contained an HTML index file that purported to be from the hacktivist group TYPICAL IDIOT SECURITY.”

The file in question appears as follows:

Hacked by AnoaGhost – Typical Idiot Security

#together laugh in ur security since 2k17#

We are:~•Khunerable – SPEEDY-03 – PYS404 – Mirav – Grac3 – AnoaGhost – Jje Incovers – Panataran – magelangGetar – Kersen.id•

Urgently required actions

To protect against these attacks, we highly recommend upgrading to the latest version of ColdFusion, which can be done from the administrator panel under Server Update > Updates > Settings.

we highly recommend upgrading to the latest version of ColdFusion.

Source: Volexity.

Identifying affected systems

A list of Nessus plugins to identify this vulnerability can be found here.

Get more information

Learn more about Tenable, the first Cyber Exposure platform for holistic management of your modern attack surface. Get a free 60-day trial of Tenable.io Vulnerability Management.

Subscribe to the Tenable Blog

Subscribe

Try Tenable.io

FREE FOR 60 DAYS

Enjoy full access to a modern, cloud-based vulnerability management platform that enables you to see and track all of your assets with unmatched accuracy. Sign up now and run your first scan within 60 seconds.

Buy Tenable.io

Enjoy full access to a modern, cloud-based vulnerability management platform that enables you to see and track all of your assets with unmatched accuracy. Purchase your annual subscription today.

65 assets

$2,190.00

Buy Now

Try Nessus Professional Free

FREE FOR 7 DAYS

Nessus® is the most comprehensive vulnerability scanner on the market today. Nessus Professional will help automate the vulnerability scanning process, save time in your compliance cycles and allow you to engage your IT team.

Buy Nessus Professional

Nessus® is the most comprehensive vulnerability scanner on the market today. Nessus Professional will help automate the vulnerability scanning process, save time in your compliance cycles and allow you to engage your IT team.

Buy a multi-year license and save

Try Tenable.io Web Application Scanning

FREE FOR 60 DAYS

Enjoy full access to our latest web application scanning offering designed for modern applications as part of the Tenable.io platform. Safely scan your entire online portfolio for vulnerabilities with a high degree of accuracy without heavy manual effort or disruption to critical web applications. Sign up now and run your first scan within 60 seconds.

Buy Tenable.io Web Application Scanning

Enjoy full access to a modern, cloud-based vulnerability management platform that enables you to see and track all of your assets with unmatched accuracy. Purchase your annual subscription today.

5 FQDNs

$3,578.00

Buy Now

Try Tenable.io Container Security

FREE FOR 60 DAYS

Enjoy full access to the only container security offering integrated into a vulnerability management platform. Monitor container images for vulnerabilities, malware and policy violations. Integrate with continuous integration and continuous deployment (CI/CD) systems to support DevOps practices, strengthen security and support enterprise policy compliance.

Buy Tenable.io Container Security

Tenable.io Container Security seamlessly and securely enables DevOps processes by providing visibility into the security of container images – including vulnerabilities, malware and policy violations – through integration with the build process.

Learn More about Industrial Security